@echo off

net session >nul 2>&1
if %errorlevel% neq 0 (
    echo This script requires administrator privileges. Please run as administrator.
    pause
    exit /b
)

for %%i in (*.inf) do (
    echo Installing driver: %%i
    pnputil /add-driver "%%i" /install >nul 2>&1
    if %errorlevel% equ 0 (
        echo Driver %%i installed successfully!
    ) else (
        echo Failed to install driver %%i. Please check the driver files and try again.
    )
)

echo All .inf files in the current directory have been processed.
echo Install process finished.
pause
